Summary: A pixmap library for the X Window System.
Name: xpm
Version: 3.4k
Release: 2
Copyright: MIT
Group: System Environment/Libraries
Source0: ftp://ftp.x.org/contrib/libraries/xpm-%{version}.tar.gz
Source1: ftp://ftp.x.org/contrib/libraries/xpm-doc-A4.PS.gz 
Source2: ftp://ftp.x.org/contrib/libraries/xpm-tutorial.PS.gz 
Source3: ftp://ftp.x.org/contrib/libraries/xpm-FAQ.html
Source4: ftp://ftp.x.org/contrib/libraries/xpm-README.html
Source5: ftp://ftp.x.org/contrib/libraries/xpm_examples.tar.gz
%define LIBVER 4.11
BuildRoot: /var/tmp/xpm-root

%description
The xpm package contains the XPM pixmap library for the X Window
System.  The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

%package devel
Requires: xpm
Group: Development/Libraries
Summary: Tools for developing apps which will use the XPM pixmap library.

%description devel
The xpm-devel package contains the development libraries and header
files necessary for developing applications which will use the XPM
library.  The XPM library is used by many programs for displaying
pixmaps in the X Window System.

Install the xpm-devel package if you want to develop applications using
the XPM pixmap library.  You'll also need to install the xpm package.

%prep
%setup -q
cd $RPM_SOURCE_DIR
cp xpm-doc-A4.PS.gz xpm-tutorial.PS.gz \
	xpm-FAQ.html xpm-README.html \
	 xpm_examples.tar.gz $RPM_BUILD_DIR/%{name}-%{version}

%build
xmkmf
make Makefiles
mkdir -p exports/include/X11
cp lib/*.h exports/include/X11
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
ln -sf libXpm.so.%{LIBVER} $RPM_BUILD_ROOT/usr/X11R6/lib/libXpm.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/X11R6/lib/libXpm.so.%{LIBVER}

%files devel
%defattr(-,root,root)
%doc xpm-doc-A4.PS.gz xpm-tutorial.PS.gz xpm-FAQ.html xpm-README.html
%doc xpm_examples.tar.gz CHANGES
/usr/X11R6/lib/libXpm.a
/usr/X11R6/include/X11/xpm.h
/usr/X11R6/bin/sxpm
/usr/X11R6/bin/cxpm
/usr/X11R6/lib/libXpm.so

%changelog
* Thu Oct 28 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- handle RPM_OPT_FLAGS
- Fix compilation if xpm isn't installed already

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- updated to 3.4k, included HTML documentation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 3.4j
- spec file cleanups
- added docs to the devel package

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
